#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 typst
version:              0.5.0.3
visibility:           public
id:                   typst-0.5.0.3-9f5wK9YFHt75xqTvzSzYGZ
key:                  typst-0.5.0.3-9f5wK9YFHt75xqTvzSzYGZ
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.10
    and currently offers only partial support.

category:             Text
abi:                  6335013b50ac5899b9737b01fc4b5d4d
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.8.2/site-local/typst-0.5.0.3
library-dirs:         /usr/lib/ghc-9.8.2/site-local/typst-0.5.0.3
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/typst-0.5.0.3
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/typst-0.5.0.3
hs-libraries:         HStypst-0.5.0.3-9f5wK9YFHt75xqTvzSzYGZ
depends:
    aeson-2.2.1.0-4pa7z8wb2ac2tkW2gC8FY5 array-0.5.6.0-inplace
    base-4.19.1.0-inplace bytestring-0.12.1.0-inplace
    cassava-0.5.3.0-7GlknmtNmnMCHbd0FvnL2v containers-0.6.8-inplace
    directory-1.3.8.1-inplace filepath-1.4.200.1-inplace
    mtl-2.3.1-inplace ordered-containers-0.2.3-C47CLuJkELWHc6kx9Shu0N
    parsec-3.1.17.0-inplace pretty-1.1.3.6-inplace
    regex-tdfa-1.3.2.2-LdZoHUt4nRyBanY0EwPldJ
    scientific-0.3.7.0-2q9JvA6xK2eIxznb1eD5ba text-2.1.1-inplace
    time-1.12.2-inplace toml-parser-2.0.0.0-GpvBzxHFM63DjNiV6uJvw0
    typst-symbols-0.1.6-Kq1MNZLmAc5EVJ8EpeO36F
    vector-0.13.1.0-K9L0R0MUB9huYC6wi7vj
    xml-conduit-1.9.1.3-JHprr5vMA9hAm8XiQ3z52e
    yaml-0.11.11.2-2XNDnkXn3KDLhsgfMw4nbk

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/typst-0.5.0.3/html/typst.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/typst-0.5.0.3/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

